#include "sgc.h"
#include "praat.h"

GladeXML *xml = NULL;

int main(int argc, char **argv)
{
	gtk_init(&argc, &argv);

	bindtextdomain(g_get_application_name(), LOCALEDIR);

/*	textdomain(g_get_application_name());
 *
 *	This makes the application use a standard domain,
 *	instead of a changing program name. For example
 *	on win32 it will be sgc.exe
 */

	textdomain("sgc");

	xml = glade_xml_new(GLADESOURCE, NULL, g_get_application_name());

	if (xml == NULL) {
		g_error(_("Could not open the GUI!"));
		return -1;
	} else {
		g_thread_init(NULL);

		/* connect signal handlers */
		glade_xml_signal_autoconnect(xml);

		on_windowMain_realize(NULL, NULL);

	        g_thread_create((GThreadFunc)sound_init, NULL, FALSE, NULL);

		removeRecordings();

		gtk_main();

		removeRecordings();

		setBase(NULL);
		setFile(NULL);
		
		return 0;
	}
}
